Class UmlBaseClassInstance

Declaration :

- C++ : class UmlBaseClassInstance : public UmlItem
- Java : abstract class UmlBaseClassInstance extends UmlItem

Directly inherited by : UmlClassInstance

Artifact : UmlBaseClassInstance

Operation kind

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation create

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout name : str, inout type : UmlClass) : UmlClassInstance, exceptions : RuntimeException
- C++ : public: static UmlClassInstance * create(UmlItem * parent, const char * name, UmlClass * type)
- Java : public static UmlClassInstance create(UmlItem parent, String name, UmlClass type) throws RuntimeException

Returns a new class instance
In case it cannot be created ('parent' cannot contain it etc ...) return 0
in C++ and produce a RuntimeException in Java

Operation type

Declaration :

- Uml : + type() : UmlClass
- C++ : public: UmlClass * type()
- Java : public UmlClass type()

return the type

Operation set_Type

Declaration :

- Uml : + set_Type(in v : UmlClass) : bool, exceptions : RuntimeException
- C++ : public: bool set_Type(UmlClass * v)
- Java : public void set_Type(UmlClass v) throws RuntimeException

set the type
On error return FALSE in C++, produce a RuntimeException in Java

Operation attributesValue

Declaration :

- Uml : + attributesValue(out result : SlotAttribute) : SlotAttribute
- C++ : public: void attributesValue(QValueList<SlotAttribute> & result)
- Java : public SlotAttribute[] attributesValue()

Returns the attributes having a value

Operation relationsValue

Declaration :

- Uml : + relationsValue(out result : SlotRelation) : SlotRelation
- C++ : public: void relationsValue(QValueList<SlotRelation> & result)
- Java : public SlotRelation[] relationsValue()

Returns the attributes having a value

Operation availableAttributes

Declaration :

- Uml : + availableAttributes(out result : UmlAttribute) : UmlAttribute
- C++ : public: void availableAttributes(QVector<UmlAttribute> & result)
- Java : public UmlAttribute[] availableAttributes()

Returns all the attributes of the class instance,
including the inherited

Operation availableRelations

Declaration :

- Uml : + availableRelations(out other : UmlClassInstance, out result : UmlRelation) : UmlRelation
- C++ : public: void availableRelations(UmlClassInstance * other, QVector<UmlRelation> & result)
- Java : public UmlRelation[] availableRelations(UmlClassInstance other)

Returns all the possible relations from the current instance to 'other', including the inherited

Operation set_AttributeValue

Declaration :

- Uml : + set_AttributeValue(in attribute : UmlAttribute, in value : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_AttributeValue(UmlAttribute * attribute, const char * value)
- Java : public void set_AttributeValue(UmlAttribute attribute, String value) throws RuntimeException

Remove the slot if the value is null.
Else set the value for the given attribute, replacing it
if the slot already exist.
On error : return FALSE in C++, produce a RuntimeException in Java

Operation add_Relation

Declaration :

- Uml : + add_Relation(in relation : UmlAttribute, in other : UmlClassInstance) : bool, exceptions : RuntimeException
- C++ : public: bool add_Relation(UmlAttribute * relation, UmlClassInstance * other)
- Java : public void add_Relation(UmlAttribute relation, UmlClassInstance other) throws RuntimeException

Add the slot (does nothing if it already exist)
On error : return FALSE in C++, produce a RuntimeException in Java

Operation remove_Relation

Declaration :

- Uml : + remove_Relation(in relation : UmlAttribute, in other : UmlClassInstance) : bool, exceptions : RuntimeException
- C++ : public: bool remove_Relation(UmlAttribute * relation, UmlClassInstance * other)
- Java : public void remove_Relation(UmlAttribute relation, UmlClassInstance other) throws RuntimeException

Remove the slot (does nothing if it doesn't exist)
On error : return FALSE in C++, produce a RuntimeException in Java

Operation associatedDiagram

Declaration :

- Uml : + associatedDiagram() : UmlObjectDiagram
- C++ : public: UmlObjectDiagram * associatedDiagram()
- Java : public UmlObjectDiagram associatedDiagram()

returns the optional associated diagram

Operation set_AssociatedDiagram

Declaration :

- Uml : + set_AssociatedDiagram(in d : UmlObjectDiagram) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedDiagram(UmlObjectDiagram * d)
- Java : public void set_AssociatedDiagram(UmlObjectDiagram d) throws RuntimeException

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Relation _type (<unidirectional association>)

Declaration :

- Uml : - _type : UmlClass
- C++ : private: UmlClass * _type
- Java : private UmlClass _type

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- Uml : - _assoc_diagram : UmlObjectDiagram
- C++ : private: UmlObjectDiagram * _assoc_diagram
- Java : private UmlObjectDiagram _assoc_diagram

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation UmlBaseClassInstance

Declaration :

- Uml : # UmlBaseClassInstance(in id : item_id, in s : string) :
- C++ : protected: UmlBaseClassInstance(void * id, const QCString & s) : UmlItem(id, s)
- Java : protected UmlBaseClassInstance(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

All public operations : add_Relation , apply , associatedDiagram , attributesValue , availableAttributes , availableRelations , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , relationsValue , remove_Relation , set_AssociatedDiagram , set_AttributeValue , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , set_Type , stereotype , supportFile , type , unload